/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package vista;

import controlador.ControladorInicio;
import java.awt.event.ActionListener;
import java.awt.event.MouseListener;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author kmore
 */
public class FrmReporteRecetas extends javax.swing.JFrame {

    /**
     * Creates new form FrmReporte
     */
    public FrmReporteRecetas() {
        initComponents();
        setLocationRelativeTo(null);
    }
    

    public void escuchar(ActionListener controladorInicio){
        jButtonVolver.addActionListener(controladorInicio);
    }
    
    public void setTabla(String [] etiquetas, String [][] datos){
        this.jTListaRecetas.setModel(new DefaultTableModel(datos,etiquetas));
        jScrollPane1.setViewportView(jTListaRecetas);
    }
    
    public String[] getFilaTabla(){
        String[] filaDatos=new String[this.jTListaRecetas.getColumnCount()];
        int filaNum=this.jTListaRecetas.getSelectedRow();
        for (int i = 0; i < filaDatos.length; i++) {
            filaDatos[i]=this.jTListaRecetas.getModel().getValueAt(filaNum, i).toString();
        }
        return filaDatos;
    }
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButtonVolver = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTListaRecetas = new javax.swing.JTable();
        jlFondo = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jButtonVolver.setActionCommand("Volver");
        jButtonVolver.setBorderPainted(false);
        jButtonVolver.setContentAreaFilled(false);
        jButtonVolver.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonVolverActionPerformed(evt);
            }
        });
        getContentPane().add(jButtonVolver, new org.netbeans.lib.awtextra.AbsoluteConstraints(380, 580, 50, 50));

        jTListaRecetas.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null}
            },
            new String [] {
                "Id", "Nombre", "Descripcion", "Instrucciones", "Tiempo Coccion", "Tiempo Preparacion", "Tiempo Total"
            }
        ));
        jScrollPane1.setViewportView(jTListaRecetas);

        getContentPane().add(jScrollPane1, new org.netbeans.lib.awtextra.AbsoluteConstraints(360, 150, 560, 380));

        jlFondo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/ListaRecetas.jpeg"))); // NOI18N
        getContentPane().add(jlFondo, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 1144, 679));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonVolverActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonVolverActionPerformed
    }//GEN-LAST:event_jButtonVolverActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonVolver;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTListaRecetas;
    private javax.swing.JLabel jlFondo;
    // End of variables declaration//GEN-END:variables
}
